﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace dotNetApp.Models
{
    public class EventoRepositorio
    {
        public static IList<Evento> Eventos = new List<Evento>();
        
        public void Insere(Evento evt)
        {
            Eventos.Add(evt);
        }

        public void Delete(int id)
        {
            Eventos.Remove(Carrega(id));
        }

        public Evento Carrega(int id)
        {
            return (from evt in Eventos where evt.Id == id select evt).FirstOrDefault(); //o__o

        }

        public void Atualiza(Evento evento)
        {
            Evento eventoEmEdicao = Carrega(evento.Id.Value); //int? nao eh int, value transforma pra int
            eventoEmEdicao.Nome = evento.Nome;

        }
    }

}